# frozen_string_literal: true

module Bulkrax
  class CrcFolderComplexModalityEntry < CrcFolderEntry
    def build
      raise ComplexSessionCreatedError unless session_created?

      complex_modality = ComplexModality.new(modality_title: raw_metadata['title'], modality: self.raw_metadata['modality'])
      complex_modality.source_identifier = identifier
      complex_modality.parent_source_identifier = self.raw_metadata['parents']

      if complex_modality.save
        self.status_info
      end
    end

    def factory_class
      ComplexModality
    end

    def session_created?
      ComplexSession.find_by(source_identifier: self.raw_metadata['parents'])
    end
  end
end
