# frozen_string_literal: true

module Bulkrax
  class CrcFolderComplexSessionEntry < CrcFolderEntry
    def build
      raise ComplexSubjectCreatedError unless subject_created?

      complex_session = ComplexSession.new(session_title: self.raw_metadata['title'], session_date_recorded: self.raw_metadata['record_date'])
      complex_session.source_identifier = identifier
      complex_session.parent_source_identifier = self.raw_metadata['parents']

      if complex_session.save
        self.status_info
      end
    end

    def factory_class
      ComplexSession
    end

    def subject_created?
      ComplexSubject.find_by(source_identifier: self.raw_metadata['parents'])
    end
  end
end
