# frozen_string_literal: true
module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    # removes the creators the ability to alter it.
    module RevokeEditFromGroupManager
      def self.call(target:, **)
        crc_dataset = ::CrcDataset.find(target.id)
        collection = crc_dataset.parent_collections.first

        group_key = "#{collection.collection_type.title.parameterize(separator: '_')}_#{collection.id}_manager"

        crc_dataset.update(edit_groups: crc_dataset.edit_groups.to_a - [group_key])

        RevokeEditFromGroupJob.perform_later(crc_dataset, group_key)
      end
    end
  end
end